## org.apache.batik.bridge.svg12
Interface SVG12BridgeUpdateHandler

All Superinterfaces:
  BridgeUpdateHandler

All Known Implementing Classes:
  BindableElementBridge, SVG12TextElementBridge, SVGFlowRootElementBridge

    public interface SVG12BridgeUpdateHandler

extends BridgeUpdateHandler

A BridgeUpdateHandler interface for SVG 1.2 specific events. This is for XBL event notification.

Method Summary
`void` `handleBindingEvent(org.w3c.dom.Element bindableElement, org.w3c.dom.Element shadowTree)` Invoked when a bindable element's binding has changed.
`void` `handleContentSelectionChangedEvent(ContentSelectionChangedEvent csce)` Invoked when the xblChildNodes property has changed because a descendant xbl:content element has updated its selected nodes.

Methods inherited from interface org.apache.batik.bridge.BridgeUpdateHandler
`dispose, handleAnimatedAttributeChanged, handleCSSEngineEvent, handleDOMAttrModifiedEvent, handleDOMCharacterDataModified, handleDOMNodeInsertedEvent, handleDOMNodeRemovedEvent, handleOtherAnimationChanged`

Method Detail

### handleBindingEvent

    void handleBindingEvent(org.w3c.dom.Element bindableElement,
                            org.w3c.dom.Element shadowTree)

  Invoked when a bindable element's binding has changed.

### handleContentSelectionChangedEvent

    void handleContentSelectionChangedEvent(ContentSelectionChangedEvent csce)

  Invoked when the xblChildNodes property has changed because a descendant xbl:content element has updated its selected nodes.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.